org.wso2.carbon.webapp.mgt.sync

## Class ApplicationSynchronizeRequest

- java.lang.Object
- - org.apache.axis2.clustering.ClusteringCommand
  - - org.apache.axis2.clustering.ClusteringMessage
    - - org.wso2.carbon.webapp.mgt.sync.ApplicationSynchronizeRequest

- All Implemented Interfaces:
    Serializable

      public class ApplicationSynchronizeRequest
      extends org.apache.axis2.clustering.ClusteringMessage

  ClusterMessage for sending a Application status synchronization request
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationSynchronizeRequest()`
    `ApplicationSynchronizeRequest(int tenantId, String tenantDomain, UUID messageId, WebappsConstants.ApplicationOpType applicationOpType, List<WebapplicationHelper> webapplicationHelperList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.axis2.context.ConfigurationContext configContext)`
    `org.apache.axis2.clustering.ClusteringCommand` | `getResponse()`
    `void` | `setTenantId(int tenantId)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.axis2.clustering.ClusteringMessage

      `equals, getTimestamp, getUuid, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationSynchronizeRequest

          public ApplicationSynchronizeRequest()

    - #### ApplicationSynchronizeRequest

          public ApplicationSynchronizeRequest(int tenantId,
                                               String tenantDomain,
                                               UUID messageId,
                                               WebappsConstants.ApplicationOpType applicationOpType,
                                               List<WebapplicationHelper> webapplicationHelperList)

  - ### Method Detail

    - #### setTenantId

          public void setTenantId(int tenantId)

    - #### execute

          public void execute(org.apache.axis2.context.ConfigurationContext configContext)
                       throws org.apache.axis2.clustering.ClusteringFault

      Specified by:
        `execute` in class `org.apache.axis2.clustering.ClusteringCommand`
      Throws:
        `org.apache.axis2.clustering.ClusteringFault`

    - #### getResponse

          public org.apache.axis2.clustering.ClusteringCommand getResponse()

      Specified by:
        `getResponse` in class `org.apache.axis2.clustering.ClusteringMessage`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2017 WSO2. All rights reserved.